REBOOT(8)

NAME
reboot - DYNIX bootstrapping procedures

SYNOPSIS
/etc/reboot [ -n ] [ -q ] [ -l ]

DESCRIPTION

The operating system is bootstrapped by placing it in memory and transferring control to it. Since the operating system is not reenterable, it is necessary to read it in from disk or tape each time it is to be booted.

Rebooting a running system. When the operating system is running and a reboot is desired, the shutdown command is normally used. If there are no users, the reboot command can be used. This command calls the command script rc.shutdown with the argument reboot, executes a sync system call, and initiates a multiuser reboot (as described below). The system is booted and an automatic disk check is performed. If all this succeeds, the system is brought up to multiuser operation.

Options to reboot are:

-q  reboots quickly and ungracefully, without shutting down running processes first, and without calling the shutdown script.

-n  avoids syncing the disks. A typical use of this option is when a manual fsck modifies the root filesystem. The -q option should be used with -n if the rc.shutdown script runs commands that sync the disks (such as umount(8)).

-l  reboot normally logs the reboot using syslog(8). This action is inhibited if the -l option is present.

Reboot places a shutdown record in the login accounting file /usr/adm/wtmp unless the -n or -q options are present.

Power fail and crash recovery. Normally, the system will reboot itself after a crash. The system will also reboot itself on powerup if AUTO is selected on the front panel. After reboot, an automatic consistency check of the file systems is performed and, unless this fails, the system will resume multiuser operations.

Cold starts. Typing b in response to the powerup monitor asterisk prompt should bring the system up to multiuser operation. If that doesn't work, the default parameters may be set wrong. In this case (or if you need to boot from an alternate device or file), enter a monitor boot command of the form:

    b 0 device-specification

to bring the system up to multiuser operation. (Replace the 0 with 2 to come up in single-user operation instead.)

A device specification has the following form:

    device(unit,minor)filename

where device is the type of the device to be searched, unit is device-dependent, minor is the minor device index, and filename (optional) is the path to the specified file (filesystem devices only). The following list of supported devices may vary from installation to installation:

    rs    RS-232 line via the
host program
    sd    SCSI disk
    ts    tape unit

For disks, the minor device index is the partition (0 is partition a, 1 is partition b, and so on). For tapes, the minor device index gives a file offset.

FILES
/dynix system code
/boot system bootstrap
/etc/rc.shutdown system shutdown script
/usr/adm/wtmp login accounting file

SEE ALSO
fastboot(8), fsck(8), init(8), rc(8), shutdown(8), halt(8), newfs(8), syslogd(8), sync(2), host(8)

BUGS
The shutdown script should know not to sync the disks when reboot is given the -n option.